# ****************************************************************
# *                                                              *
# *   Copyright (c) Digital Equipment Corporation, 1991, 1994    *
# *                                                              *
# *  All Rights Reserved.  Unpublished rights  reserved  under   *
# *  the copyright laws of the United States.                    *
# *                                                              *
# *  The software contained on this media  is  proprietary  to   *
# *  and  embodies  the  confidential  technology  of  Digital   *
# *  Equipment Corporation.  Possession, use,  duplication  or   *
# *  dissemination of the software and media is authorized only  *
# *  pursuant to a valid written license from Digital Equipment  *
# *  Corporation.                                                *
# *                                                              *
# *  RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
# *  by the U.S. Government is subject to restrictions  as  set  *
# *  forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
# *  or  in  FAR 52.227-19, as applicable.                       *
# *                                                              *
# ****************************************************************

proc load_array {} {
    global G

    set filePtr [open "/etc/ldapcd.conf"]
    while {([gets $filePtr line] != -1)} {
	set x [string first "\#" $line]
	if {($x == -1) && ($line != "")} { 
	    set strend [string length $line]
	    set i [string first : $line]
	    set j [expr $i - 1]
	    incr i
	    set name [string range $line 0 $j]
	    set tempValue [string range $line $i $strend]
	    if {$tempValue !=""} {
		set value [string trim [string trim $tempValue] \"]
	    }
	    set G($name) $value
	}   
    }
    close $filePtr
}

proc system_table {} {

global G

set machineDN ""
set machinePass ""
set systemDirectory ""
set portNumber ""
set searchBase ""
set activeConn ""
set maxThreads ""
set pwCache ""
set pwExpire ""
set grCache ""
set grExpire ""

if {[info exists G(machine_dn)]} {
    set machineDN $G(machine_dn)
}
if {[info exists G(machine_pass)]} {
    set machinePass $G(machine_pass)
}
if {[info exists G(directory)]} {
    set systemDirectory $G(directory)
}
if {[info exists G(port)]} {
    set portNumber $G(port)
}
if {[info exists G(searchbase)]} {
    set searchBase $G(searchbase)
}
if {[info exists G(connections)]} {
    set activeConn $G(connections)
}
if {[info exists G(max_threads)]} {
    set maxThreads $G(max_threads)
}
if {[info exists G(pw_cachesize)]} {
    set pwCache $G(pw_cachesize)
}
if {[info exists G(pw_expirecache)]} {
    set pwExpire $G(pw_expirecache)
}
if {[info exists G(gr_cachesize)]} {
    set grCache $G(gr_cachesize)
}
if {[info exists G(gr_expirecache)]} {
    set grExpire $G(gr_expirecache)
}


puts "<CENTER><TABLE COL=\"4\">
    <TR>
     <TD><STRONG><U>Machine&nbsp;Information</U></STRONG></TD></TR>
    <TR>
      <TD><STRONG>Distinguished Name:</STRONG></TD>
      <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"machine_dn\" 
         VALUE=\"$machineDN\"></TD>

      <TD><STRONG>Password: </STRONG></TD>
      <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"machine_pass\" 
          VALUE=\"$machinePass\"></TD>
    </TR>
     <TR><TD COLSPAN=\"4\"><HR></TD></TR>

    <TR>
      <TD><STRONG><U>Directory&nbsp;Server</U></STRONG></TD></TR>
     <TR>
      <TD><STRONG>System Name: </STRONG></TD>
      <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"directory\" 
          VALUE=\"$systemDirectory\"></TD>

    <TD><STRONG>Port Number: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"10\" NAME=\"port\" 
         VALUE=\"$portNumber\"></TD>
    </TR>
     
    <TR>
      <TD><STRONG>Search Base: </STRONG></TD>
      <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"searchbase\" 
         VALUE=\"$searchBase\"></TD>

    <TD><STRONG>Active Connections: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"10\" NAME=\"connections\" 
         VALUE=\"$activeConn\"></TD>
    </TR>

    <TR>
     <TD></TD>
     <TD></TD>
    <TD><STRONG>Thread Maximum: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"10\" NAME=\"max_threads\" 
         VALUE=\"$maxThreads\"></TD>
    </TR>

     <TR><TD COLSPAN=\"4\"><HR></TD></TR>

    <TR><TD><U><STRONG>Entries in Cache</STRONG></U></TD>
     <TD></TD>
        <TD><U><STRONG> Expire Cache</STRONG></TD></U> 
        <TD><U><STRONG>(seconds)</STRONG></U></TD>
    </TR>

    <TR>
    <TD><STRONG>Password: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"10\" NAME=\"pw_cachesize\" 
         VALUE=\"$pwCache\"></TD>

    <TD><STRONG>Password: </STRONG></TD>
    <TD><INPUT TYPE=\"TEXT\" SIZE=\"10\" NAME=\"pw_expirecache\" 
         VALUE=\"$pwExpire\"></TD>
    </TR>


    <TR>
    <TD><STRONG>Group: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"10\" NAME=\"gr_cachesize\" 
         VALUE=\"$grCache\"></TD>

    <TD><STRONG>Group: </STRONG></TD>
    <TD><INPUT TYPE=\"TEXT\" SIZE=\"10\" NAME=\"gr_expirecache\" 
         VALUE=\"$grExpire\"></TD>
    </TR>
     </TABLE></CENTER>

     <HR>


    <CENTER><TABLE COL=\"5\">
     <TR>
     <TD></TD>
     <TD></TD>
     <TD><STRONG><INPUT TYPE=\"SUBMIT\" VALUE=\"Submit\"></STRONG>
         <STRONG><INPUT TYPE=\"RESET\" VALUE=\"Reset\"></STRONG></TD>
     <TD></TD>
     <TD></TD>
     </TR>

     </TABLE></CENTER>"

}

proc group_table {} {

global G
set check ""
if {[info exists G(disablegroup)] && $G(disablegroup) == 0} {
    set check "CHECKED" 
}

set grpObjClass ""
set grpBranch ""
set grpName "" 
set grpPasswd ""
set grpMembers ""
set grpGID  ""

if {[info exists G(gr_oclass)]} {
    set grpObjClass $G(gr_oclass)
}
if {[info exists G(groupbranch)]} {
    set grpBranch $G(groupbranch)
} 
if {[info exists G(gr_name) ]} {
    set grpName $G(gr_name)
}
if {[info exists G(gr_password)]} {
    set grpPasswd $G(gr_password)
}
if {[info exists G(gr_gid)]} {
    set grpGID $G(gr_gid)
}
if {[info exists G(gr_members)]} {
    set grpMembers $G(gr_members)
}

puts "<CENTER><TABLE COL=\"4\">
    <TR>
      <TD COLSPAN=2><INPUT TYPE=\"CHECKBOX\"  NAME=\"disablegroup\" $check>
      <STRONG>Enable Group Attributes </STRONG><BR><BR>
    </TR>
    <TR>
     <TD><STRONG>Object Class Name: </STRONG></TD>
     <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"gr_oclass\" 
        VALUE=\"$grpObjClass\"></TD>

     <TD><STRONG>Group Branch Name: </STRONG></TD>
     <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"groupbranch\" 
        VALUE=\"$grpBranch\"></TD>
    </TR>

    <TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\"><HR></TD></TR>

    <TR>
     <TD><STRONG>Group Name: </STRONG></TD>
     <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"gr_name\" 
         VALUE=\"$grpName\"></TD>

     <TD><STRONG>Password Name: </STRONG></TD>
     <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"gr_password\" 
         VALUE=\"$grpPasswd\"></TD>
    </TR>

    <TR>
     <TD><STRONG>Group ID Name: </STRONG></TD>
     <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"gr_gid\" 
         VALUE=\"$grpGID\"></TD>

     <TD><STRONG>Group Members Name: </STRONG></TD>
     <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"gr_members\" 
         VALUE=\"$grpMembers\"></TD>
    </TR>
    </TABLE></CENTER>

    <HR>

    <CENTER><TABLE COL=\"5\">
     <TR>
     <TD></TD>
     <TD></TD>
     <TD> <STRONG><INPUT TYPE=\"SUBMIT\" VALUE=\"Submit\"> </STRONG></TD>
     <TD> <STRONG><INPUT TYPE=\"RESET\" VALUE=\"Reset \"> </STRONG></TD>
     </TR>
     <TD></TD>
     <TD></TD>
     </TABLE></CENTER>
     </FORM>
"
}


proc passwd_table {} {

global G

set pwObjClass ""
set pwBranch ""
set pwUserName ""
set pwComment ""
set pwPassword ""
set pwGecos ""
set pwUID ""
set pwHomeDir ""
set pwGID ""
set pwShell ""

if {[info exists G(pw_oclass)]} {
    set pwObjClass $G(pw_oclass)
}
if {[info exists G(userbranch)]} {
    set pwBranch $G(userbranch)
} 
if {[info exists G(pw_username)]} {
    set pwUserName $G(pw_username)
} 
if {[info exists G(pw_comment)]} {
    set pwComment $G(pw_comment)
} 
if {[info exists G(pw_password)]} {
    set pwPassword $G(pw_password)
} 
if {[info exists G(pw_gecos)]} {
    set pwGecos $G(pw_gecos)
} 
if {[info exists G(pw_uid)]} {
    set pwUID $G(pw_uid)
} 
if {[info exists G(pw_homedir)]} {
    set pwHomeDir $G(pw_homedir)
} 
if {[info exists G(pw_gid)]} {
    set pwGID $G(pw_gid)
} 
if {[info exists G(pw_shell)]} {
    set pwShell $G(pw_shell)
} 

puts "<CENTER><TABLE COL=\"4\">
    <TR>
    <TD><STRONG>Object Class Name: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_oclass\" 
        VALUE=\"$pwObjClass\"></TD>

    <TD><STRONG>User Branch Name: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"userbranch\" 
         VALUE=\"$pwBranch\"></TD>
    </TR>

     <TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\"><HR></TD></TR>

    <TR>
    <TD><STRONG>Login Name: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_username\" 
        VALUE=\"$pwUserName\"></TD>

    <TD><STRONG>Comment Field: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_comment\" 
         VALUE=\"$pwComment\"></TD>
    </TR>

    <TR>
    <TD><STRONG>User Password Name: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_password\" 
         VALUE=\"$pwPassword\"></TD>
    <TD><STRONG>Gecos Field: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_gecos\" 
         VALUE=\"$pwGecos\"></TD>
    </TR>

    <TR>
    <TD><STRONG>User ID: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_uid\" 
         VALUE=\"$pwUID\"></TD>
    <TD><STRONG>Home Directory Name: </STRONG></TD>
    <TD><INPUT TYPE=\"TEXT\" SIZE=\"20\" NAME=\"pw_homedir\" 
         VALUE=\"$pwHomeDir\"></TD>
    </TR>

    <TR>
    <TD><STRONG>Group ID: </STRONG></TD>
    <TD><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"pw_gid\" 
         VALUE=\"$pwGID\"></TD>
    <TD><STRONG>Login Shell: </STRONG></TD>
    <TD><INPUT TYPE=\"TEXT\" SIZE=\"20\" NAME=\"pw_shell\" 
         VALUE=\"$pwShell\"></TD>
    </TR>


     </TABLE></CENTER>

     <HR>

    <CENTER><TABLE COL=\"5\">
     <TR>
     <TD></TD>
     <TD></TD>
     <TD> <STRONG><INPUT TYPE=\"SUBMIT\" VALUE=\"Submit\"> </STRONG>
          <STRONG><INPUT TYPE=\"RESET\" VALUE=\"Reset\"> </STRONG></TD>
     <TD></TD>
     <TD></TD>
     </TR>

     </TABLE></CENTER>
     "
 }
