#!/usr/local/bin/tcl_cgi
# ****************************************************************
# *                                                              *
# *   Copyright (c) Digital Equipment Corporation, 1991, 1994    *
# *                                                              *
# *  All Rights Reserved.  Unpublished rights  reserved  under   *
# *  the copyright laws of the United States.                    *
# *                                                              *
# *  The software contained on this media  is  proprietary  to   *
# *  and  embodies  the  confidential  technology  of  Digital   *
# *  Equipment Corporation.  Possession, use,  duplication  or   *
# *  dissemination of the software and media is authorized only  *
# *  pursuant to a valid written license from Digital Equipment  *
# *  Corporation.                                                *
# *                                                              *
# *  RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
# *  by the U.S. Government is subject to restrictions  as  set  *
# *  forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
# *  or  in  FAR 52.227-19, as applicable.                       *
# *                                                              *
# ****************************************************************
#

source /usr/internet/admin/cgi-bin-system/general_system_proc.tcl
source /usr/internet/admin/cgi-bin-system/ldam/config_tables.tcl

set name "LDAP Module for System Authentication"
set help "sec-ldap-config-group-attr"

global env G 

manage_system_header "$name Administration" "Configure Group Attributes" "$help"

  if {$env(REQUEST_METHOD) == "POST"} {
      set query [cgi_get_query]
       cgi_parse_query -strip $query Q

      if {[info exist Q(disablegroup)]} {
	  set Q(disablegroup) 0
      } else {
	  set Q(disablegroup) 1
      }
       foreach i [array names Q] {
	   catch {exec ./write_config $i "$Q($i)" > /dev/null}
       }
       success_msg
  }

  #read values from file
  puts "<FORM METHOD=\"POST\" ACTION=\"group_attr.tcl\">"

  load_array
  group_table

  puts "</FORM>"

manage_system_trailer "$help" "./ldam/config_attr.tcl" "Modify Configuration" "./ldam/manage_ldam.tcl" "$name Administration"
